Package org.apache.sysds.runtime.instructions.spark

## Enum SPInstruction.SPType

- java.lang.Object
- - java.lang.Enum<SPInstruction.SPType>
  - - org.apache.sysds.runtime.instructions.spark.SPInstruction.SPType

- All Implemented Interfaces:
    `Serializable`, `Comparable<SPInstruction.SPType>`
  Enclosing class:
    SPInstruction

      public static enum SPInstruction.SPType
      extends Enum<SPInstruction.SPType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AggregateTernary` |
    `AggregateUnary` |
    `AggregateUnarySketch` |
    `Binary` |
    `BinUaggChain` |
    `Builtin` |
    `BuiltinNary` |
    `Cast` |
    `CentralMoment` |
    `Checkpoint` |
    `Compression` |
    `Covariance` |
    `CPMM` |
    `CSVReblock` |
    `Ctable` |
    `CumsumAggregate` |
    `CumsumOffset` |
    `DeCompression` |
    `Dnn` |
    `GAlignedAppend` |
    `GAppend` |
    `LIBSVMReblock` |
    `MAPMM` |
    `MAPMMCHAIN` |
    `MAppend` |
    `MatrixIndexing` |
    `MatrixReshape` |
    `MultiReturnBuiltin` |
    `ParameterizedBuiltin` |
    `PMAPMM` |
    `PMM` |
    `QPick` |
    `QSort` |
    `Quaternary` |
    `Rand` |
    `RAppend` |
    `Reblock` |
    `Reorg` |
    `RMM` |
    `SpoofFused` |
    `Ternary` |
    `TSMM` |
    `TSMM2` |
    `UaggOuterChain` |
    `Unary` |
    `Write` |
    `ZIPMM` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SPInstruction.SPType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SPInstruction.SPType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAPMM

          public static final SPInstruction.SPType MAPMM

    - #### MAPMMCHAIN

          public static final SPInstruction.SPType MAPMMCHAIN

    - #### CPMM

          public static final SPInstruction.SPType CPMM

    - #### RMM

          public static final SPInstruction.SPType RMM

    - #### TSMM

          public static final SPInstruction.SPType TSMM

    - #### TSMM2

          public static final SPInstruction.SPType TSMM2

    - #### PMM

          public static final SPInstruction.SPType PMM

    - #### ZIPMM

          public static final SPInstruction.SPType ZIPMM

    - #### PMAPMM

          public static final SPInstruction.SPType PMAPMM

    - #### MatrixIndexing

          public static final SPInstruction.SPType MatrixIndexing

    - #### Reorg

          public static final SPInstruction.SPType Reorg

    - #### Binary

          public static final SPInstruction.SPType Binary

    - #### Ternary

          public static final SPInstruction.SPType Ternary

    - #### AggregateUnary

          public static final SPInstruction.SPType AggregateUnary

    - #### AggregateTernary

          public static final SPInstruction.SPType AggregateTernary

    - #### Reblock

          public static final SPInstruction.SPType Reblock

    - #### CSVReblock

          public static final SPInstruction.SPType CSVReblock

    - #### LIBSVMReblock

          public static final SPInstruction.SPType LIBSVMReblock

    - #### Builtin

          public static final SPInstruction.SPType Builtin

    - #### Unary

          public static final SPInstruction.SPType Unary

    - #### BuiltinNary

          public static final SPInstruction.SPType BuiltinNary

    - #### MultiReturnBuiltin

          public static final SPInstruction.SPType MultiReturnBuiltin

    - #### Checkpoint

          public static final SPInstruction.SPType Checkpoint

    - #### Compression

          public static final SPInstruction.SPType Compression

    - #### DeCompression

          public static final SPInstruction.SPType DeCompression

    - #### Cast

          public static final SPInstruction.SPType Cast

    - #### CentralMoment

          public static final SPInstruction.SPType CentralMoment

    - #### Covariance

          public static final SPInstruction.SPType Covariance

    - #### QSort

          public static final SPInstruction.SPType QSort

    - #### QPick

          public static final SPInstruction.SPType QPick

    - #### ParameterizedBuiltin

          public static final SPInstruction.SPType ParameterizedBuiltin

    - #### MAppend

          public static final SPInstruction.SPType MAppend

    - #### RAppend

          public static final SPInstruction.SPType RAppend

    - #### GAppend

          public static final SPInstruction.SPType GAppend

    - #### GAlignedAppend

          public static final SPInstruction.SPType GAlignedAppend

    - #### Rand

          public static final SPInstruction.SPType Rand

    - #### MatrixReshape

          public static final SPInstruction.SPType MatrixReshape

    - #### Ctable

          public static final SPInstruction.SPType Ctable

    - #### Quaternary

          public static final SPInstruction.SPType Quaternary

    - #### CumsumAggregate

          public static final SPInstruction.SPType CumsumAggregate

    - #### CumsumOffset

          public static final SPInstruction.SPType CumsumOffset

    - #### BinUaggChain

          public static final SPInstruction.SPType BinUaggChain

    - #### UaggOuterChain

          public static final SPInstruction.SPType UaggOuterChain

    - #### Write

          public static final SPInstruction.SPType Write

    - #### SpoofFused

          public static final SPInstruction.SPType SpoofFused

    - #### Dnn

          public static final SPInstruction.SPType Dnn

    - #### AggregateUnarySketch

          public static final SPInstruction.SPType AggregateUnarySketch

  - ### Method Detail

    - #### values

          public static SPInstruction.SPType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SPInstruction.SPType c : SPInstruction.SPType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SPInstruction.SPType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null